/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomRange_H___INT_
#define __GdomRange_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Range.h"
namespace WebCore {
    gpointer toGDOM(Range* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMRange : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_RANGE; }
    GDOMRange(PassRefPtr<WebCore::Range> impl);
    virtual ~GDOMRange();
    WebCore::Range* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Range> m_impl;
};
G_END_DECLS

#endif /* __GdomRange_H___INT_*/
